<mat-sidenav-container>
	<mat-sidenav
		class="mat-elevation-z5"
		#sidenav
		[mode]="layoutService.isXSmall() ? 'over' : 'side'"
		[fixedInViewport]="layoutService.isXSmall()"
		[opened]="!layoutService.isXSmall()"
	>
		<app-sidenav-header></app-sidenav-header>
		<mat-nav-list>
			<h5>{{ 'simple.general' | translate }}</h5>
			<button mat-button routerLink="/settings/profiles" routerLinkActive="active">
				<mat-icon>face</mat-icon>{{ 'simple.profiles' | translate }}
			</button>
			<button mat-button routerLink="/settings/appearance" routerLinkActive="active">
				<mat-icon>color_lens</mat-icon>{{ 'simple.appearance' | translate }}
			</button>
			<button mat-button routerLink="/settings/local" routerLinkActive="active">
				<mat-icon>computer</mat-icon>{{ 'simple.local' | translate }}
			</button>
			<button mat-button routerLink="/settings/about" routerLinkActive="active">
				<mat-icon>domain</mat-icon>{{ 'simple.about' | translate }}
			</button>
			<h5>{{ 'simple.privacy' | translate }}</h5>
			<button mat-button routerLink="/settings/notifications" routerLinkActive="active">
				<mat-icon>notifications</mat-icon>{{ 'simple.notifications' | translate }}
			</button>
			<h5>{{ 'simple.account' | translate }}</h5>
			<button mat-button routerLink="/settings/account" routerLinkActive="active">
				<mat-icon>person</mat-icon>{{ 'simple.account' | translate }}
			</button>
			<button mat-button routerLink="/settings/sessions" routerLinkActive="active">
				<mat-icon>devices</mat-icon>{{ 'simple.sessions' | translate }}
			</button>
			<button mat-button routerLink="/settings/changePassword" routerLinkActive="active">
				<mat-icon>fingerprint</mat-icon>{{ 'simple.changePassword' | translate }}
			</button>
		</mat-nav-list>
	</mat-sidenav>

	<mat-sidenav-content>
		<router-outlet></router-outlet>
	</mat-sidenav-content>
</mat-sidenav-container>
